Author Topic: Can anyone upgrade CKeditor?  (Read 113654 times)

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #125 on: April 09, 2014, 09:34:03 PM »
Hi,

Quote
*  version 4.3.4 140404
 *  + using cke 4.3.4 full
 *  ! update codemirror plugin to v. 1.10
 *  ! update youtbue plugin to v. 1.09

regards

Edith: find latest version below
« Last Edit: May 03, 2014, 12:29:57 PM by marmot »

Offline Stefek

  • Posts: 6177
  • Gender: Male
  • ("ړ)
Re: Can anyone upgrade CKeditor?
« Reply #126 on: April 09, 2014, 09:57:28 PM »
Vielen Dank für die Mühen.

Lokale Installation unter 2.8.4. funktioniert sehr gut.

Editor sieht sehr schick aus.
Auch Codemirror ist eine große Bereicherung m.E.

Das WB-Link Plugin scheint nicht richtig zu funktionieren.

Gruß,
Stefek
"Gemeinsam schafft man mehr."

gemeinsam
1. mehreren Personen oder Dingen in gleicher Weise gehörend, eigen
2. in Gemeinschaft [unternommen, zu bewältigen]; zusammen, miteinander
#Duden

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #127 on: April 09, 2014, 11:01:10 PM »
Hi,

Das WB-Link Plugin scheint nicht richtig zu funktionieren.
thanks for testing and reporting.
What is the problem with wb-Link? Which browser, which version, any errors, any errors in javascript console, maybe even a link to a site with problems would help really much to impove this module.

regards

Offline Stefek

  • Posts: 6177
  • Gender: Male
  • ("ړ)
Re: Can anyone upgrade CKeditor?
« Reply #128 on: April 09, 2014, 11:58:11 PM »
No errors at all are displaying.
Only the plugin isn't working as expected. It's behaving like the link plugin (where you set a regular link with a complete URL). The WB Link plugin usuallly displays a list of links to internal WB pages (from your installation).

Kind regards,
Stefek
"Gemeinsam schafft man mehr."

gemeinsam
1. mehreren Personen oder Dingen in gleicher Weise gehörend, eigen
2. in Gemeinschaft [unternommen, zu bewältigen]; zusammen, miteinander
#Duden

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #129 on: April 10, 2014, 12:36:54 PM »
Hi,

can't confirm (WB 2.8.3). Stefek, maybe you did not select the link type "WB Link"?

Offline Stefek

  • Posts: 6177
  • Gender: Male
  • ("ړ)
Re: Can anyone upgrade CKeditor?
« Reply #130 on: April 10, 2014, 12:50:22 PM »
Yeah right, it's an unexpected behaviour nonetheless, as I expect the pages list when clicking on the WB-Link icon.
But one can get used to it, so don't mind.
Thanks for the hint.

Regards,
Stefek
"Gemeinsam schafft man mehr."

gemeinsam
1. mehreren Personen oder Dingen in gleicher Weise gehörend, eigen
2. in Gemeinschaft [unternommen, zu bewältigen]; zusammen, miteinander
#Duden

Offline Stefek

  • Posts: 6177
  • Gender: Male
  • ("ړ)
Re: Can anyone upgrade CKeditor?
« Reply #131 on: April 25, 2014, 10:12:10 PM »
Hello Marmot.

Is there any chance this module will be made compatible with the 2.8.4. methods for WBLink creation?
I like the module but using it in a 2.8.4. environment creates hardcoded entries in the database, whereas the FCK-Editor (which will be shipped with 2.8.4. unfortunatley) creates clean WBLink placeholders for both, the pages and the subpages of News/Bakery/Topics as well.

It would be great if the CKEditor would make use of the same methods.

Kind regards,
Stefek
"Gemeinsam schafft man mehr."

gemeinsam
1. mehreren Personen oder Dingen in gleicher Weise gehörend, eigen
2. in Gemeinschaft [unternommen, zu bewältigen]; zusammen, miteinander
#Duden

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #132 on: April 26, 2014, 04:17:29 AM »
Hi,

Is there any chance this module will be made compatible with the 2.8.4. methods for WBLink creation?
it's rather easy to patch the pages.php of the wblink plugin but as far as I know the wb team is already (about 6 months) working on a much better (what else) version of this module for wb 2.8.4.

regards

Edith1: Following the idea of stefek I attached a patched pages.php (\modules\ckeditor\ckeditor\plugins\wblink\pages.php). Patch is only short tested and active for news links (I don't have wb284 link adapted versions of topics and bakery by now) but it should be prepared for topics and bakery too (just read the comments.

Edith2: Deleted file as it is part of cke version >= 4.3.4
« Last Edit: May 03, 2014, 12:32:11 PM by marmot »

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #133 on: April 26, 2014, 06:09:56 AM »
Is there any chance this module will be made compatible with the 2.8.4. methods for WBLink creation?
it's rather easy to patch the pages.php of the wblink plugin but as far as I know the wb team is already (about 6 months) working on a much better (what else) version of this module for wb 2.8.4.
its not correct
Luisehahne builds a working solution for that in the last year, but he was not finish with this module and now it looks, that he is never coming back

aber Hauptsache, einmal lustig drüber gemacht  :evil:

Offline Stefek

  • Posts: 6177
  • Gender: Male
  • ("ړ)
Re: Can anyone upgrade CKeditor?
« Reply #134 on: April 27, 2014, 09:52:12 PM »
Is there any chance this module will be made compatible with the 2.8.4. methods for WBLink creation?
it's rather easy to patch the pages.php of the wblink plugin but as far as I know the wb team is already (about 6 months) working on a much better (what else) version of this module for wb 2.8.4.
its not correct
Luisehahne builds a working solution for that in the last year, but he was not finish with this module and now it looks, that he is never coming back

aber Hauptsache, einmal lustig drüber gemacht  :evil:

Uwe,
I don't really understand what you are talking about.

Stefek
"Gemeinsam schafft man mehr."

gemeinsam
1. mehreren Personen oder Dingen in gleicher Weise gehörend, eigen
2. in Gemeinschaft [unternommen, zu bewältigen]; zusammen, miteinander
#Duden

Offline Stefek

  • Posts: 6177
  • Gender: Male
  • ("ړ)
Re: Can anyone upgrade CKeditor?
« Reply #135 on: April 29, 2014, 06:19:56 PM »
OK,

thank you guys to all who contacted me via PM.
I appreciate that.

What I'd like to ask next is: is there someone willing to expand on the code so the same CKEditor can be used in the 2.8.3. and in the 2.8.4.?

Some new features will be released with the 2.8.4. which are new.

We could access them from within the CKE using the standard PHP if statement

if(class_exists...

and build a switch, using Marmots hardcoded variant for WB prior to 2.8.4. and the new methods for 2.8.4. and up.

As I said before, I really like this module and I would like to use it with 2.8.4.

Kind regards,
Stefek

"Gemeinsam schafft man mehr."

gemeinsam
1. mehreren Personen oder Dingen in gleicher Weise gehörend, eigen
2. in Gemeinschaft [unternommen, zu bewältigen]; zusammen, miteinander
#Duden

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #136 on: May 03, 2014, 12:28:59 PM »
Hi,

here we are one more time:
Quote
 *  version 4.4.0 140501
 *  + using cke 4.4.0 full
 *  ! wblink plugin uses the extended wblink function of wb284 now: http://www.WebsiteBaker.org/forum/index.php/topic,25334.msg187246.html#msg187246

regards

Edith: find latest version below
« Last Edit: May 27, 2014, 08:28:05 PM by marmot »

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #137 on: May 03, 2014, 12:51:22 PM »
Works also in 2.8.3, thank you again for updating the module

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #138 on: May 03, 2014, 01:05:11 PM »
I just found a small bug:

1) Click in WYSIWYG section on Template button
2) Select "Image and text" Template
3) Click on Save (either icon or save button beyond)

=> Result: "Sicherheitsverletzu ng!! Zugriff wurde verweigert!"

This does not happen if another template is chosen, probably the image placeholder causes the error.

WB 2.8.3, Single Tab security, PHP 5.3, Firefox 29 on Win 8.1

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #139 on: May 03, 2014, 03:34:24 PM »
Hi,

thanks for testing and reporting.
I just found a small bug:
1) Click in WYSIWYG section on Template button
2) Select "Image and text" Template
3) Click on Save (either icon or save button beyond)
=> Result: "Sicherheitsverletzu ng!! Zugriff wurde verweigert!"
I really can't retrac this. I know this happens sometimes when using wbsave feature with singletab setting. But this problem occurs since introduction of wbsave feature (long ago). This might be because wbsave uses an iframe. I don't see any relation to the template function or even to the cosen template.
So I would suggest to do some more testings without using wbsave and then with multitab on.
I even recommend using multitab (wb does not) as long as somebody can show me a detailed attac which is only prevented when singletab on.

regards

jacobi22

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #140 on: May 03, 2014, 03:44:06 PM »
[at] Florian: do you use the standard ckeditor templates in the ckeditor-folder or a "private" editor.templates.js in your template folder?

if i see the editor field in the background behind the secure message in the last posted pic, it looks like other code- not the code from the editor.templates.js in ckeditor 4.4.0
I'm sure, the secure message has nothing to do with the ckeditor
« Last Edit: May 03, 2014, 04:05:54 PM by jacobi22 »

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #141 on: May 04, 2014, 08:05:27 AM »
Hi,

it's the default editor-templates.js (the other content in the screenshot was added before) and happens either clicking on wbsafe or clicking on the save-button beyond the editor field, but as I wrote before only with the described template "image and text".

It does of course not happen if Multitab is activated (and it's not really important for me neither, as I usually don't work with these templates - was just ment as a notice).

BR
-florian.

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #142 on: May 04, 2014, 10:14:41 AM »
Hi,

.. and happens either clicking on wbsafe or clicking on the save-button beyond the editor field, but as I wrote before only with the described template "image and text".
I see. If it's not the wbsave bug I assumed then I'm interested in solving. Maybe sometime we find more information on when the issue appears or it even disapears in one of the next versions of cke.  :-D
Btw: There is no template "image and text", neiter in standard cke nor in your screeshot. So I assume you are talking about "image and title".

Thanks for your support!
regards

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #143 on: May 27, 2014, 08:27:00 PM »
Hi,

one more time ...
Code: [Select]
*  version 4.4.1 140527
*  + using cke 4.4.1 full
*  ! changed wysiwyg-admin recognition

regards

Edith: find update below
« Last Edit: May 28, 2014, 09:28:55 PM by marmot »

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #144 on: May 28, 2014, 09:35:24 AM »
Tested with WB 2.8.3 in Firefox & IE 11, works fine.
Thank you very much.

Offline hgs

  • Betatester
  • **
  • Posts: 1119
    • EFG MG
Re: Can anyone upgrade CKeditor?
« Reply #145 on: May 28, 2014, 11:08:20 AM »
Tested with WB 2.8.3 in Firefox & IE 11, works fine.
Thank you very much.

Tested with WB 2.8.4 Rev. 2101
Error message looks like this

Code: [Select]
Exception: "Error in SQL-Statement" >> Exception detected in: [/framework/WbDatabase.php]
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #146 on: May 28, 2014, 09:28:04 PM »
Hi,

thanks for testing and reporting
Tested with WB 2.8.4 Rev. 2101 Error message looks like this
Code: [Select]
Exception: "Error in SQL-Statement" >> Exception detected in: [/framework/WbDatabase.php]
should be fixed in attached version 4.4.1.1

regards

Edith: find latest version below
« Last Edit: July 28, 2014, 05:59:11 PM by marmot »

instantflorian

  • Guest
Re: Can anyone upgrade CKeditor?
« Reply #147 on: May 29, 2014, 09:43:30 AM »
Yes, tested both in 2.8.3 and 2.8.4 (2101), no errors.

Offline hgs

  • Betatester
  • **
  • Posts: 1119
    • EFG MG
Re: Can anyone upgrade CKeditor?
« Reply #148 on: June 02, 2014, 02:47:44 PM »
Hi,

thanks for testing and reporting
Tested with WB 2.8.4 Rev. 2101 Error message looks like this
Code: [Select]
Exception: "Error in SQL-Statement" >> Exception detected in: [/framework/WbDatabase.php]
should be fixed in attached version 4.4.1.1

regards
Also tested with WB2.8.4 Rev. 2101
Everything is good

LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline marmot

  • Posts: 1103
Re: Can anyone upgrade CKeditor?
« Reply #149 on: July 28, 2014, 05:58:22 PM »
Hi,

Ooops!...I did it again:
Quote from: info.php
*  version 4.4.3 140727
 *  + function "show_wysiwyg_editor" accepts parameter "$toolbar" now to allow modules to use inidividual toolbars, thanks to dbs for suggesting
 *  ! using cke 4.4.3 full
 *  ! update skin moonocolor to v 1.3
 *  ! update wblink plugin to v 4.4.3

regards

[gelöscht durch Administrator]

 

postern-length